1. Contacts
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
        GET
      • Property contacts
        POST
      • Property contacts
        PATCH
      • Property contacts
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Contacts

List property contacts

Developing
GET
/propertyContacts
A contact is a person. Contacts can belong to customers, work addresses or suppliers. A private customer will always have at least 1 primary contact. In order to email, call or SMS in Commusoft, you will need a contact.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/propertyContacts?propertyID=5938&createdOnDateTime[gte]=2026-06-25%2010%3A58%3A50&type=customer' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "serverTime": "string",
        "includeCount": true
    },
    "pagination": {
        "hasMore": true,
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "id": 0,
            "createdOnDateTime": "2019-08-24T14:15:22.123Z",
            "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
            "propertyID": 0,
            "firstName": "string",
            "lastName": "string",
            "position": "string",
            "email": "string",
            "telephones": [
                {
                    "id": 0,
                    "type": "Office",
                    "number": "string"
                }
            ],
            "communicationPreference": {
                "phone": true,
                "email": true,
                "sms": true
            },
            "links": {
                "property": "string"
            }
        }
    ]
}
Modified at 2026-06-28 14:54:21
Previous
Properties
Next
Property contacts
Built with